org.springframework.cloud.dataflow.server.controller

## Class StreamValidationController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.StreamValidationController

-     @RestController
       @RequestMapping(value="/streams/validation")
       @ExposesResourceFor(value=StreamAppStatusResource.class)
      public class StreamValidationController
      extends Object

  Controller for operations on `ValidationStatus`.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamValidationController(StreamService streamService)` Create a `StreamValidationController` that delegates to `StreamService`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamAppStatusResource` | `validate(String name)` Return `StreamAppStatusResource` showing the validation status of the apps in a stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamValidationController

          public StreamValidationController(StreamService streamService)

      Create a `StreamValidationController` that delegates to `StreamService`.
      Parameters:
        `streamService` - the stream service to use

  - ### Method Detail

    - #### validate

          @RequestMapping(value="/{name}",
                          method=GET)
           @ResponseStatus(value=OK)
          public StreamAppStatusResource validate(@PathVariable(value="name")
                                                                                                                                          String name)

      Return `StreamAppStatusResource` showing the validation status of the apps in a stream.
      Parameters:
        `name` - name of the stream definition
      Returns:
        The status for the apps in a stream definition.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.